Index: tools/grub/grub-update.sh
===================================================================
--- tools/grub/grub-update.sh	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
+++ tools/grub/grub-update.sh	(revision 1bb43d57766a1e12206e990eb06601d692228dba)
@@ -45,5 +45,5 @@
 	platform="$2"
 
-	./configure --prefix="$builddir/$target-$platform" --target="$target" --with-platform="$platform" || exit 1
+	./configure --prefix="$builddir/$target-$platform" --target="$target" --with-platform="$platform" --disable-werror || exit 1
 	make clean || exit 1
 	make install || exit 1
Index: tools/grub/mkimage.sh
===================================================================
--- tools/grub/mkimage.sh	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
+++ tools/grub/mkimage.sh	(revision 1bb43d57766a1e12206e990eb06601d692228dba)
@@ -44,3 +44,3 @@
     --prefix "$grub_mod_dir" --output "$grub_mod_dir/core.img" \
     --format 'i386-pc' --compression 'auto' --config "$orig_dir/load.cfg" \
-    "minix3" "part_msdos" "biosdisk" "search_fs_uuid"
+    "ext2" "part_msdos" "biosdisk" "search_fs_uuid"
Index: uspace/app/sysinst/sysinst.c
===================================================================
--- uspace/app/sysinst/sysinst.c	(revision 6404acaa1e897da50572bbec1797ff03ffdc782d)
+++ uspace/app/sysinst/sysinst.c	(revision 1bb43d57766a1e12206e990eb06601d692228dba)
@@ -62,4 +62,6 @@
 #define DEFAULT_DEV "devices/\\hw\\pci0\\00:01.0\\ata-c1\\d0"
 //#define DEFAULT_DEV "devices/\\hw\\pci0\\00:01.2\\uhci_rh\\usb01_a1\\mass-storage0\\l0"
+/** Volume label for the new file system */
+#define INST_VOL_LABEL "HelenOS"
 
 #define MOUNT_POINT "/inst"
@@ -135,6 +137,7 @@
 	pspec.capacity = cap;
 	pspec.pkind = lpk_primary;
-	pspec.fstype = fs_minix; /* Cannot be changed without modifying core.img */
+	pspec.fstype = fs_ext4; /* Cannot be changed without modifying core.img */
 	pspec.mountp = MOUNT_POINT;
+	pspec.label = INST_VOL_LABEL;
 
 	rc = fdisk_part_create(fdev, &pspec, &part);
